/*
 * @Author: WuXiangNan
 * @Date: 2021-02-21 16:58:50
 * @LastEditTime: 2021-03-17 14:33:45
 * @LastEditors: WuXiangNan
 * @Description: 考勤日历：打卡信息
 */

class ClockInfosModel {
  int? clockType;
  int? clockResult;
  String? date;

  ClockInfosModel({
    this.clockType,
    this.clockResult,
    this.date,
  });

  ClockInfosModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});
    clockType = map['clockType'];
    clockResult = map['clockResult'];
    date = map['date'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['clockType'] = clockType;
    json['clockResult'] = clockResult;
    json['date'] = date;

    return json;
  }
}
